Skip to main content

Request final submission of an Actual SDR return

Using an unexpired submission token, explicitly submit a Processed Actual SDR return.

The same submission-window, Stop-Gate and business checks as the portal apply.

HTTP 202 acknowledges that final submission has been queued, not completed.

Request the token again to renew it if it has expired. Use the existing validation status endpoint to monitor the run status.

Path Parameters
submissionToken string — REQUIRED

The token for the Actual SDR return to submit

Header Parameters
EID string — REQUIRED

Enter the EDUMIS (Organisation) ID

Responses
202

Final submission queued

400

Token, return status or final submission requirements are invalid

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
errors object — OPTIONAL
returnId string — OPTIONAL
submissionToken string — OPTIONAL
content object — OPTIONAL
errorCode string — OPTIONAL
401

Authorization failed

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
409

The Actual SDR return has already been submitted

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
errors object — OPTIONAL
returnId string — OPTIONAL
submissionToken string — OPTIONAL
content object — OPTIONAL
errorCode string — OPTIONAL
429

Concurrent final submission request not allowed

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL